# 73. Query: obține date grilate cu bufferul selectat

Interogare pentru a obține date rasterizat(e) din seturi de date precum "FieldSatelliteImage", "TopographyMap", "SoilDataset", "YieldDataset", "AsAppliedDataset", "VectorAnalysisMap" cu buffer-ul selectat.

{% hint style="danger" %}
Se recomandă preluarea doar a unui singur set de date cu `sourceDataUrl` pe solicitare.&#x20;
{% endhint %}

`FărăBuffer`, `PlusUnPixel`, `PlusDouăPixeli`, `MinusUnPixel`, și `MinusDouăPixeli` sunt disponibile ca `buffer`.

{% hint style="danger" %}
`sourceDataUrl` linkul este accesibil doar pentru **60 sec.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
interogare GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    nume
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      nume
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatia-api/prezentarea-generala-a-solicitarilor-api-geopard/73.-query-obtine-date-grilate-cu-bufferul-selectat.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
